Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - emacs-git

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: emacs-git 26.0.50.127403-1

Git Clone URL: https://aur-dev.archlinux.org/emacs-git.git (read-only)
Package Base: emacs-git
Description: GNU Emacs. Master development branch.
Upstream URL: http://www.gnu.org/software/emacs/
Keywords: development editor IDE text
Licenses: GPL
Conflicts: emacs
Provides: emacs
Submitter: vorbote
Maintainer: vorbote
Last Packager: vorbote
Votes: 57
Popularity: 0.488209
First Submitted: 2014-01-05 02:05
Last Updated: 2016-11-14 14:03

Required by (196)

Sources (1)

Latest Comments

« First ‹ Previous ... 13 14 15 16 17 18

tavianator commented on 2010-07-12 05:49

Yes indeed (I believe -2 pulled in the fix). However, the configure script stupidly checks gcc --version, instead of testing for the actual bug (which is easy; see the testcase attached to the GCC bug, or the two committed). So you'll have to either keep the workaround or patch ./configure.

nsantos commented on 2010-07-11 04:56

@tavianator You mean gcc-4.5.0-6 in core? If so, I'll take out the workaround later today.

tavianator commented on 2010-07-10 16:12

The bug reported below (which I actually reported) is fixed in Arch's latest gcc-4.5.0 snapshot.

nsantos commented on 2010-07-07 13:02

Fixed path names in clean up, removed unnecessary gzip'ping of info files in PKGBUILD.

roy_hu commented on 2010-07-07 06:58

info and man pages are already gzip'ed. Please fix them.

roy_hu commented on 2010-06-12 04:23

I'm getting a "(require cl) while preparing to dump" error right after "Loading vc/vc-hooks.el (source)..." Revert to 100582 for now.

roy_hu commented on 2010-06-12 03:22

I'm getting a "(require cl) while preparing to dump" error right after "Loading vc/vc-hooks.el (source)..."

nsantos commented on 2010-05-19 04:07

Took out the md5sum line for the install script, plus added CFLAGS line as recommended.

Anonymous comment on 2010-05-03 15:51

Configure scripts complains about gcc-4.5.0.
"""
configure: error: GCC 4.5.0 has problems compiling Emacs; see etc/PROBLEMS'.
"""

And in the file 'etc/PROBLEMS':

** Emacs crashes when running in a terminal, if compiled with GCC 4.5.0
This version of GCC is buggy: see

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6031
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=43904

You can work around this error in gcc-4.5 by omitting sibling call
optimization. To do this, configure Emacs with

CFLAGS="-g -O2 -fno-optimize-sibling-calls" ./configure